[gnome-autoar/jjardon/gnome-common-removal] Use autoreconf instead deprecated gnome-common
- From: Javier Jardón Cabezas <jjardon src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-autoar/jjardon/gnome-common-removal] Use autoreconf instead deprecated gnome-common
- Date: Sat, 9 Feb 2019 12:38:16 +0000 (UTC)
commit 7347380ec5d6e03e54f184b8318b0810837ace6f
Author: Javier Jardón <jjardon gnome org>
Date: Sat Feb 9 12:35:27 2019 +0000
Use autoreconf instead deprecated gnome-common
See https://wiki.gnome.org/Projects/GnomeCommon/Migration
autogen.sh | 45 ++++++++++++++++++++++++++++++++-------------
configure.ac | 6 ++----
2 files changed, 34 insertions(+), 17 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 5175f9f..9d394bf 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,21 +1,40 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
-PKG_NAME="gnome-autoar"
+cd $srcdir
-(test -f $srcdir/configure.ac \
-) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level $PKG_NAME directory"
- exit 1
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+ exit 1
}
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME git"
- exit 1
-}
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
+fi
+
+aclocal --install || exit 1
+gtkdocize --copy || exit 1
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
-. gnome-autogen.sh
+ if [ "$1" = "--help" ]; then
+ exit 0
+ else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
diff --git a/configure.ac b/configure.ac
index eba6962..0eb9868 100644
--- a/configure.ac
+++ b/configure.ac
@@ -33,6 +33,8 @@ AC_SUBST([LIBGNOME_AUTOAR_LT_VERSION], [lt_current:lt_revision:lt_age])
AC_SUBST([LIBGNOME_AUTOAR_API_VERSION], [0])
+AX_CHECK_ENABLE_DEBUG([yes],[GNOME_ENABLE_DEBUG])
+
AC_PROG_CC
AC_PROG_CC_STDC
AC_PROG_INSTALL
@@ -40,10 +42,6 @@ LT_INIT
PKG_PROG_PKG_CONFIG
GLIB_GSETTINGS
-GNOME_DEBUG_CHECK
-GNOME_COMPILE_WARNINGS([maximum])
-GNOME_MAINTAINER_MODE_DEFINES
-
AC_PATH_PROG(GLIB_GENMARSHAL, glib-genmarshal)
AC_PATH_PROG(GLIB_MKENUMS, glib-mkenums)
AC_PATH_PROG(GLIB_COMPILE_RESOURCES, glib-compile-resources)
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]